---
apiVersion: v1
kind: Service
metadata:
  name: netbox-valkey
  namespace: netbox
  labels:
    app.kubernetes.io/name: netbox
    app.kubernetes.io/component: valkey
spec:
  internalTrafficPolicy: Cluster
  ports:
    - name: valkey
      port: 6379
      protocol: TCP
      targetPort: valkey
  selector:
    app: netbox-valkey
  sessionAffinity: None
  type: ClusterIP
